/*****************************************************************************
 * $LastChangedDate: 2010-02-03 19:48:51 -0500 (Wed, 03 Feb 2010) $
 * @file
 * @author  Jim E. Brooks  http://www.palomino3d.org
 * @brief   Definitions, constants.
 *          THESE ARE GLOBALS!  TRY TO USE ONLY BASIC COMPILE-TIME CONSTANTS.
 *//*
 * LEGAL:   COPYRIGHT (C) 2008 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE VERSION 2 (GPL 2).
 *****************************************************************************/

#ifndef SKY_DEFS_HH
#define SKY_DEFS_HH 1

#include "gfx/rgb_colors.hh"

namespace sky {
namespace defs {

// Sky:
const RGBA   DEFAULT_SKY_COLOR( RGB_SKY_BLUE, 1.0f );
const RGBA   SKY_COLOR_NIGHT( RGB_COSMOS_BLUE, 1.0f );
const RGBA   SKY_COLOR_TWILIGHT( 0.0f, 0.1f, 0.35f, 1.0f );
const fpx    DEFAULT_SKY_FOG_DENSITY = 0.0000015;
const uint   DEFAULT_SKY_DOME_SLICE_COUNT = 16;
const uint   DEFAULT_CLOUD_COUNT = 100;

// SkyDome:
const Degree SKY_DOME_DEFAULT_LAT_LIMIT( 95.0f );  // Patches beyond this latitude (in southern hemisphere) won't be rendered

// Stars:
const uint   DEFAULT_STAR_COUNT = 500;

// Moon:
const fp     SKY_DOME_MOON_RATIO = 0.015f; //0.035f;  // multiplies radius of sky dome to get moon's radius
const Degree DEFAULT_SUN_LAT( 90.0f );
const Degree DEFAULT_SUN_LON( 90.0f );
const Degree DEFAULT_MOON_LAT( 80.0f );
const Degree DEFAULT_MOON_LON( 45.0f + 80.0f );

} // namespace defs
} // namespace sky

#endif // SKY_DEFS_HH
